#include <iostream>
#include <algorithm>

using namespace std;

void ucitaj(int N,int A[]){
    for(int i=0;i<N;i++){
        cin >> A[i];
    }
}

int prisutan(int niz[], int p, int k, int b,bool& postoji)
{
    while (p <= k) {
        int m = p + (k - p) / 2;
        if (niz[m] == b){
            return m;
        }
        if (niz[m] < b){
            p = m + 1;
        }
        else{
            k = m - 1;
        }
    }
    postoji=false;
    return p;
}

int main(){
    int N,Q,X,medijana_poz;
    cin >> N >> Q;
    int A[N];
    ucitaj(N,A);
    sort(A,A+N);
    for(int i=0;i<Q;i++){
        cin >> X;
        bool postojao=true;
        medijana_poz=prisutan(A,0,N-1,X,postojao);
        if(medijana_poz==(N+!postojao)/2){
            cout << (postojao ? 0:1) << "\n";
        }
        else{
            cout << (medijana_poz>(N+!postojao)/2 ? 1:-1)*(2*medijana_poz-N-(X>A[N-1]))+(postojao ? 0:1) << "\n";
            //printf("Medijana:%d\nPostojanost:%s\n",medijana_poz,(postojao ? "da":"ne"));
        }
    }
}